Last Comment Bug 684010 - remove JSScript::isAboutToBeFinalized
: remove JSScript::isAboutToBeFinalized
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Igor Bukanov
:
Mentors:
Depends on: 663138 674251
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-01 12:45 PDT by Igor Bukanov
Modified: 2011-09-11 23:09 PDT (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (3.27 KB, patch)
2011-09-01 12:51 PDT, Igor Bukanov
bhackett1024: review+
Details | Diff | Review

Description Igor Bukanov 2011-09-01 12:45:13 PDT
We should remove JSScrit::isAboutToBeFinalized. With the bug 674251 fixed the generic IsAboutToBeFinalized should work for JSScript instances.
Comment 1 Brian Hackett (:bhackett) 2011-09-01 12:50:59 PDT
Bug 663138 removes this and will be landing soon, so an option is to just wait for that bug.
Comment 2 Igor Bukanov 2011-09-01 12:51:07 PDT
Created attachment 557616 [details] [diff] [review]
v1

Here is a straightforward removal of JSScript::isAboutToBeFinalized().
Comment 3 Igor Bukanov 2011-09-01 12:55:53 PDT
(In reply to Brian Hackett from comment #1)
> Bug 663138 removes this and will be landing soon, so an option is to just
> wait for that bug.

I need this to eliminate JSScript::u.object that should simplify the debugger implementation.
Comment 5 Marco Bonardo [::mak] 2011-09-03 02:55:55 PDT
http://hg.mozilla.org/mozilla-central/rev/30ffa45f9a63

Note You need to log in before you can comment on or make changes to this bug.